Subject: Re: bug#67161: 30.0.50; [PATCH] Add option `dired-filename-display-length'

From: Juri Linkov <[email-masked]>
Date: Mon, 20 Nov 2023 19:54:27 +0200

>> Therefore, I would like to change
>>
>>   (put-text-property ell-beg (point) 'invisible 'dired-filename-hide)
>>
>> to
>>
>>   (let ((ov (make-overlay ell-beg (point))))
>>     (overlay-put ov 'invisible 'dired-filename-hide)
>>     (overlay-put ov 'isearch-open-invisible t)
>>     (overlay-put ov 'evaporate t))
>
> Juri, this seems to be a usability bug?  Why does Isearch only look
> into invisible overlay properties, but not text properties?  IOW, why
> doesn't "M-s i" set the value of isearch-invisible to t, not 'open'?
> Or maybe 'open' should also search inside text properties, not just
> overlays?  In any case, the differences between properties and
> overlays is unusual and IMO a misfeature.  Can this be fixed?

I recall Ihor implemented the revealing of invisible text properties
for Org-mode when overlays were very slow.  But now overlays are
optimized, so Liu is absolutely right that better to use overlays.